package cn.hzw.graffiti;


import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.os.Parcel;
import android.os.Parcelable;

/**
 * 涂鸦参数
 */
public class WaterMarkParams implements Parcelable {

    /**
     *  上报位置的经度
     */
    public String mLongitude;
    /**
     *  上报位置的维度
     */
    public String mLatitude;

    public int mbNeedGps = 1;
    /**
     *  上报位置的维度
     */
    public int mGpsFlag = 0;  /*0:gps获取 1：手动获取*/

    /**
     *  上报位置
     */
    public String mAddress;
    /**
     * 上报用户名
     */
    public String mUser;
    /**
     * 上报公司名
     */
    public String mCompany;
    /**
     * 上报时间
     */
    public String mReportTime; //ms



    public static final Creator<WaterMarkParams> CREATOR = new Creator<WaterMarkParams>() {
        @Override
        public WaterMarkParams createFromParcel(Parcel in) {
            WaterMarkParams params = new WaterMarkParams();
            params.mLongitude = in.readString();
            params.mLatitude = in.readString();
            params.mbNeedGps = in.readInt();
            params.mGpsFlag = in.readInt();
            params.mAddress = in.readString();
            params.mUser = in.readString();
            params.mCompany = in.readString();
            params.mReportTime = in.readString();

            return params;
        }

        @Override
        public WaterMarkParams[] newArray(int size) {
            return new WaterMarkParams[size];
        }
    };

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(mLongitude);
        dest.writeString(mLatitude);
        dest.writeInt(mbNeedGps);
        dest.writeInt(mGpsFlag);
        dest.writeString(mAddress);
        dest.writeString(mUser);
        dest.writeString(mCompany);
        dest.writeString(mReportTime);
    }

    @Override
    public int describeContents() {
        return 0;
    }

}
